.buddysport-form {
}

.buddysport-form label,
.buddysport-form input,
.buddysport-form select,
.buddysport-form textarea {
    font-family: var(--font-heading);
    font-size: 0.85rem;
}


.buddysports-form-label{
    margin-right: 10px;
    display: inline-flex;
    align-items: center;
    gap: 0.25em; /* space between input and text */ 
    line-height: 20px;
    /*position: relative;
    top: -2px;*/
    
}

.buddysports-success-label{
    color: var(--buddysports-success-label);
}
.buddysports-danger-label{
    color: var(--buddysports-danger-label); 
}
.buddysports-warning-label{
    color: var(--buddysports-warning-label);
}

.buddysports-form-button{
    /*display: block;
    width: fit-content;*/
    min-width: 80px;
    max-width: 120px;
    color: #000;
    background-color: var(--buddysports-color-lightcoral-hsl);  
    font-family: var(--font-heading);
    border: 1px solid  var(--buddysports-color-primary);
    border-radius: 10px;
    padding: 6px 20px;
    margin: 0;
    transition: ease 0.5s;
    text-decoration: none;
}

.buddysports-form-button:hover{
    /*border-radius: 0px 20px 20px 0px;*/
    border-radius: 20px;
    /*color:  var(--buddysports-color-primary);*/
    color:  var(--buddysports-color-primary);
    border: 1px solid  var(--buddysports-color-primary);


}

.buddysports-input-number{}

/* ALERTS */
.alert{
    padding: 10px;
    margin: 10px;
    font-size: 1rem;
    border-radius: 10px;
}

.alert-success{
    color: var(--buddysports-color-darkgreen);
    border: 1px solid var(--buddysports-color-darkgreen);
}

.alert-warning{
    color: var(--buddysports-color-orange);
    border: 1px solid var(--buddysports-color-orange);
}
.alert-danger{
    color: var(--buddysports-color-firebrick);
    border: 1px solid var(--buddysports-color-firebrick);
}

/* RESETS */

input[type="text"], input[type="password"] {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  /* WIDTHS */
    /* Reset sizing */
  width: auto;
  height: auto;
  box-sizing: content-box;
  min-width: 250px;
  max-width: 100%;
  /* Reset box model */
  margin: 0;
  padding: 6px;
  /*border: 2px solid  var(--buddysports-color-primary);*/
  border: 1px solid  var(--buddysports-color-primary);
  border-radius: 10px;
  /* Reset typography */
  color: var(--buddysports-color-black-1);
  /*font: inherit;
  color: inherit;
  letter-spacing: inherit;
  text-align: inherit;*/
  line-height: 1.1;
  vertical-align: middle;
  /* Reset background */
  background: #fff;
  /* Reset shadow & outline */
  box-shadow: none;
  outline: none;
  /* Reset cursor (optional) */
  cursor: pointer;
  transition: ease 0.5s;
}

input[type="text"]:focus , input[type="password"]:focus {
  border: 1px dotted  var(--buddysports-color-lightcoral);
}

input[type="text"]::placeholder, input[type="password"]::placeholder {
    /*color: var(--buddysports-color-primary);*/
    color: var(--buddysports-color-black-1);
    font-style: italic;
}

input[type="checkbox"] {
  appearance: none; /* Removes default styles */
  -webkit-appearance: none; /* For older webkit browsers */
  -moz-appearance: none; /* For older Firefox */
  background-color: #fff;
  /*border: 2px solid  var(--buddysports-color-lightcoral-hsl);*/
  border: 2px solid  var(--buddysports-color-primary);
  width: 20px;
  height: 20px;
  cursor: pointer;
  display: inline-block;
  vertical-align: middle;
  position: relative;
  margin: 1px;
}

input[type="checkbox"]:checked {
  background-color: var(--buddysports-color-primary);
  border: 2px solid var(--buddysports-color-primary);
  color: var(--buddysports-color-primary);
  color: #000;
  content: '✔';
}

input[type="checkbox"]:checked::before {
  color: var(--buddysports-color-primary);
  position: absolute;
  /*top: -1px;*/
  left: 3px;
}

input[type="radio"]{
  appearance: none; /* Removes default styles */
  -webkit-appearance: none; /* For older webkit browsers */
  -moz-appearance: none; /* For older Firefox */
  background-color: #fff;
  border: 1px solid  var(--buddysports-color-primary);
  width: 20px;
  height: 20px;
  cursor: pointer;
  display: inline-block;
  vertical-align: middle;
  border-radius: 10px;
  position: relative;
  margin: 1px;
  /*margin-top: -2px;*/
}

input[type="radio"]:checked {
  background-color: var(--buddysports-color-primary);
  border: 1px solid var(--buddysports-color-primary);
  content: '✔';
}

input[type="radio"]:checked::before {
  color: var(--buddysports-color-primary);
  position: absolute;
  /*top: -1px;*/
  left: 3px;
}


input[type="number"] {
  appearance: none; /* Removes default styles */
  -webkit-appearance: none; /* For older webkit browsers */
  -moz-appearance: none; /* For older Firefox */
    /* Reset shadow & outline */
  box-shadow: none;
  outline: none;
  box-sizing: content-box;
  border: 1px solid  var(--buddysports-color-primary);
  border-radius: 10px;
  padding: 2px;    
  background-color: #fff;
  cursor: pointer;
  display: inline-block;
  vertical-align: middle;
  border-radius: 10px;
  min-width: 40px;
  max-width: 50px;
  font-size: 0.85;
  font-family: var(--font-heading);
  text-align: center;
}

select {
  appearance: none; /* Remove native arrow */
  -webkit-appearance: none; /* For Safari/Chrome */
  -moz-appearance: none; /* For Firefox */
}

select:focus {
  outline: none;
}

